module Foundation
  module Rails
    module Helpers
      module FoundationRailsHelpersApplicationHelper

        ##
        # Generates a Foundation Panel
        #
        # http://foundation.zurb.com/docs/components/panels.html
        #
        # === Returns
        #
        # [Foundation::Rails::Helpers::Panel]
        #
        def foundation_panel(**options, &block)
          Foundation::Rails::Helpers::Panel.new(**options, &block)
        end

        ##
        # Generates a Foundation Alert
        #
        # http://foundation.zurb.com/docs/components/alerts.html
        #
        # === Returns
        #
        # [Foundation::Rails::Helpers::Alert]
        #
        def foundation_alert(**options, &block)
          Foundation::Rails::Helpers::Alert.new(**options, &block)
        end
      end
    end
  end
end
