module Foundation
  module Rails
    module Helpers
      class Tooltip < Foundation::Rails::Helpers::Element

        attr_accessor :title

        def initialize(attributes: {}, content: nil, title: title)
          @title = title
          super(attributes: attributes, content: content)
        end

        private

        def tag_type
          :span
        end

        def default_attributes
          { data: { tooltip: true }, class: ['has-tip'] }
        end
      end
    end
  end
end
